JBoss API: Class EnterpriseContext.EJBContextImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class EnterpriseContext.EJBContextImpl

    java.lang.Object
      |
      +--org.jboss.ejb.EnterpriseContext.EJBContextImpl

All Implemented Interfaces:
  javax.ejb.EJBContext

Direct Known Subclasses:
  EntityEnterpriseContext.EntityContextImpl, MessageDrivenEnterpriseContext.MessageDrivenContextImpl, StatefulSessionEnterpriseContext.StatefulSessionContextImpl, StatelessSessionEnterpriseContext.SessionContextImpl

Enclosing class:
  EnterpriseContext

protected class EnterpriseContext.EJBContextImpl
extends java.lang.Object
implements javax.ejb.EJBContext

Constructor Summary
`protected` | `EnterpriseContext.EJBContextImpl()`

Method Summary
`java.security.Identity` | `getCallerIdentity()` Deprecated.
`java.security.Principal` | `getCallerPrincipal()` Get the Principal for the current caller.
`javax.ejb.EJBHome` | `getEJBHome()`
`javax.ejb.EJBLocalHome` | `getEJBLocalHome()`
`java.util.Properties` | `getEnvironment()` Deprecated.
`boolean` | `getRollbackOnly()`
`javax.transaction.UserTransaction` | `getUserTransaction()`
`boolean` | `isCallerInRole(java.security.Identity id)` Deprecated.
`boolean` | `isCallerInRole(java.lang.String id)`
`void` | `setRollbackOnly()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterpriseContext.EJBContextImpl

    protected EnterpriseContext.EJBContextImpl()

Method Detail

### getCallerIdentity

    public java.security.Identity getCallerIdentity()

  Deprecated.

  Specified by:
    `getCallerIdentity` in interface `javax.ejb.EJBContext`

### getCallerPrincipal

    public java.security.Principal getCallerPrincipal()

  Get the Principal for the current caller. This method cannot return null according to the ejb-spec.
  Specified by:
    `getCallerPrincipal` in interface `javax.ejb.EJBContext`

### getEJBHome

    public javax.ejb.EJBHome getEJBHome()

  Specified by:
    `getEJBHome` in interface `javax.ejb.EJBContext`

### getEJBLocalHome

    public javax.ejb.EJBLocalHome getEJBLocalHome()

  Specified by:
    `getEJBLocalHome` in interface `javax.ejb.EJBContext`

### getEnvironment

    public java.util.Properties getEnvironment()

  Deprecated.

  Specified by:
    `getEnvironment` in interface `javax.ejb.EJBContext`

### getRollbackOnly

    public boolean getRollbackOnly()

  Specified by:
    `getRollbackOnly` in interface `javax.ejb.EJBContext`

### setRollbackOnly

    public void setRollbackOnly()

  Specified by:
    `setRollbackOnly` in interface `javax.ejb.EJBContext`

### isCallerInRole

    public boolean isCallerInRole(java.security.Identity id)

  Deprecated.

  Specified by:
    `isCallerInRole` in interface `javax.ejb.EJBContext`

### isCallerInRole

    public boolean isCallerInRole(java.lang.String id)

  Specified by:
    `isCallerInRole` in interface `javax.ejb.EJBContext`

### getUserTransaction

    public javax.transaction.UserTransaction getUserTransaction()

  Specified by:
    `getUserTransaction` in interface `javax.ejb.EJBContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.